List available numbers
curl --request GET \
--url https://restapi.fax.plus/v3/shop/numbers/countries/{country_code}/areas/{calling_code}/numbers \
--header 'Authorization: Bearer <token>'import requests
url = "https://restapi.fax.plus/v3/shop/numbers/countries/{country_code}/areas/{calling_code}/numbers"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://restapi.fax.plus/v3/shop/numbers/countries/{country_code}/areas/{calling_code}/numbers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"numbers": [
{
"type": "<string>",
"currency": "<string>",
"availability": "<string>",
"item": {
"id": "<string>",
"country": "<string>",
"number": "<string>",
"country_code": "<string>",
"geographic_area": {
"area_code": "<string>",
"geographic_area": "<string>",
"city": "<string>"
}
},
"price": 123,
"monthly_fee": 123,
"number_of_months": 123
}
]
}{
"error": "invalid_user_id",
"description": "Invalid user id given"
}{
"error": "internal_server_error",
"description": "An unexpected error happened, please contact support"
}Shop
List available numbers
Get a list of available fax numbers for a specific area. (Permitted scopes: fax:all:read, fax:shop:read)
GET
/
shop
/
numbers
/
countries
/
{country_code}
/
areas
/
{calling_code}
/
numbers
List available numbers
Authorizations
oauth2personal_access_token
OAuth2 Authorization Grant
Path Parameters
Country code (ISO 3166-1 alpha-2)
Area code
Query Parameters
Channel to specify whether numbers should be 'random' or 'custom'. Optional, defaults to 'random'.
Available options:
random, custom If 'custom' is selected as the channel, this field allows specifying numbers that should appear in the phone number. Optional, only used when channel is 'custom'.
Pattern:
^[0-9]*$Response
List of available fax numbers
Show child attributes
Show child attributes
⌘I